var interval;
var imageArray = ["img_01.jpg",
                    "img_02.jpg",
                    "img03.png",
                    "img04.png",
                    "apple1.gif",
                    "ume.gif",
                    "candybars.tiff",
                    "apple2.tiff"];
var imageCount ;
var current ;
var next;

var elm;
var img0;
var img1;

function init() {
    interval = 5;
    imgCount = imageArray.length;
    current = 0;
    next = 1;
    elm  = document.getElementById("cube");
    img0  = document.getElementById("front");
    img1  = document.getElementById("right");

    elm.className = "stay";

    img0.style.backgroundImage= "url('./images/" + imageArray[current] +"')";
    img1.style.backgroundImage= "url('./images/" + imageArray[next] +"')";   
    wait();
}

function wait() {
    setTimeout(rotate, interval * 1000);
}

function rotate() {
    elm.className = "rotate";
    elm.addEventListener(
        'webkitTransitionEnd',
        rotate_end,
        false
    );
}
function rotate_end() {
    elm.removeEventListener(
        'webkitTransitionEnd',
        rotate_end,
        false
    );
    current = next;
    next=(current + 1) % imgCount;
    img0.style.backgroundImage= "url('./images/" + imageArray[current] +"')";
    img1.style.backgroundImage= "url('./images/" + imageArray[next] +"')";   
    elm.className = "stay";
    wait();
}